| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Typedefs | Functions
jdsample.c File Reference
`#include "jinclude.h"`
`#include "jpeglib.h"`

Go to the source code of this file.

## Classes
struct | my_upsampler

## Macros
#define | JPEG_INTERNALS

## Typedefs
typedef my_upsampler * | my_upsample_ptr

## Functions
typedef | JMETHOD (void, upsample1_ptr,(j_decompress_ptr cinfo, jpeg_component_info *compptr, JSAMPARRAY input_data, JSAMPARRAY *output_data_ptr))
| start_pass_upsample (j_decompress_ptr cinfo)
| sep_upsample (j_decompress_ptr cinfo, JSAMPIMAGE input_buf, JDIMENSION *in_row_group_ctr, JDIMENSION in_row_groups_avail, JSAMPARRAY output_buf, JDIMENSION *out_row_ctr, JDIMENSION out_rows_avail)
| fullsize_upsample (j_decompress_ptr cinfo, jpeg_component_info *compptr, JSAMPARRAY input_data, JSAMPARRAY *output_data_ptr)
| noop_upsample (j_decompress_ptr cinfo, jpeg_component_info *compptr, JSAMPARRAY input_data, JSAMPARRAY *output_data_ptr)
| int_upsample (j_decompress_ptr cinfo, jpeg_component_info *compptr, JSAMPARRAY input_data, JSAMPARRAY *output_data_ptr)
| h2v1_upsample (j_decompress_ptr cinfo, jpeg_component_info *compptr, JSAMPARRAY input_data, JSAMPARRAY *output_data_ptr)
| h2v2_upsample (j_decompress_ptr cinfo, jpeg_component_info *compptr, JSAMPARRAY input_data, JSAMPARRAY *output_data_ptr)
| h2v1_fancy_upsample (j_decompress_ptr cinfo, jpeg_component_info *compptr, JSAMPARRAY input_data, JSAMPARRAY *output_data_ptr)
| h2v2_fancy_upsample (j_decompress_ptr cinfo, jpeg_component_info *compptr, JSAMPARRAY input_data, JSAMPARRAY *output_data_ptr)
| jinit_upsampler (j_decompress_ptr cinfo)

## Macro Definition Documentation

#define JPEG_INTERNALS

Definition at line 21 of file jdsample.c.

## Typedef Documentation

typedef my_upsampler* my_upsample_ptr

Definition at line 61 of file jdsample.c.

## Function Documentation

fullsize_upsample | ( | j_decompress_ptr | cinfo,
|  | jpeg_component_info * | compptr,
|  | JSAMPARRAY | input_data,
|  | JSAMPARRAY * | output_data_ptr
| ) |  |

Definition at line 157 of file jdsample.c.

h2v1_fancy_upsample | ( | j_decompress_ptr | cinfo,
|  | jpeg_component_info * | compptr,
|  | JSAMPARRAY | input_data,
|  | JSAMPARRAY * | output_data_ptr
| ) |  |

Definition at line 304 of file jdsample.c.

h2v1_upsample | ( | j_decompress_ptr | cinfo,
|  | jpeg_component_info * | compptr,
|  | JSAMPARRAY | input_data,
|  | JSAMPARRAY * | output_data_ptr
| ) |  |

Definition at line 233 of file jdsample.c.

h2v2_fancy_upsample | ( | j_decompress_ptr | cinfo,
|  | jpeg_component_info * | compptr,
|  | JSAMPARRAY | input_data,
|  | JSAMPARRAY * | output_data_ptr
| ) |  |

Definition at line 345 of file jdsample.c.

h2v2_upsample | ( | j_decompress_ptr | cinfo,
|  | jpeg_component_info * | compptr,
|  | JSAMPARRAY | input_data,
|  | JSAMPARRAY * | output_data_ptr
| ) |  |

Definition at line 261 of file jdsample.c.

int_upsample | ( | j_decompress_ptr | cinfo,
|  | jpeg_component_info * | compptr,
|  | JSAMPARRAY | input_data,
|  | JSAMPARRAY * | output_data_ptr
| ) |  |

Definition at line 189 of file jdsample.c.

jinit_upsampler | ( | j_decompress_ptr | cinfo | ) |

Definition at line 399 of file jdsample.c.

typedef JMETHOD | ( | void | ,
|  | upsample1_ptr | ,
|  | (j_decompress_ptr cinfo, jpeg_component_info *compptr, JSAMPARRAY input_data, JSAMPARRAY *output_data_ptr) |
| ) |  |

noop_upsample | ( | j_decompress_ptr | cinfo,
|  | jpeg_component_info * | compptr,
|  | JSAMPARRAY | input_data,
|  | JSAMPARRAY * | output_data_ptr
| ) |  |

Definition at line 170 of file jdsample.c.

sep_upsample | ( | j_decompress_ptr | cinfo,
|  | JSAMPIMAGE | input_buf,
|  | JDIMENSION * | in_row_group_ctr,
|  | JDIMENSION | in_row_groups_avail,
|  | JSAMPARRAY | output_buf,
|  | JDIMENSION * | out_row_ctr,
|  | JDIMENSION | out_rows_avail
| ) |  |

Definition at line 89 of file jdsample.c.

start_pass_upsample | ( | j_decompress_ptr | cinfo | ) |

Definition at line 69 of file jdsample.c.